CREATE TABLE `stats` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `urlid` bigint(24) NOT NULL,
  `ip` varchar(32) DEFAULT NULL,
  `browser` varchar(255) DEFAULT NULL,
  `vhour` smallint(2) NOT NULL DEFAULT '0',
  `vminute` smallint(2) NOT NULL DEFAULT '0',
  `vdate` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `vday` smallint(2) NOT NULL,
  `vmonth` smallint(2) NOT NULL,
  `vyear` smallint(4) NOT NULL,
  `refferer` varchar(255) DEFAULT NULL,
  `page` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1;

CREATE TABLE `urls` (
  `id` bigint(24) NOT NULL AUTO_INCREMENT,
  `short_url` varchar(62) NOT NULL,
  `url` varchar(500) NOT NULL,
  `created` date NOT NULL DEFAULT '0000-00-00',
  `time` time NOT NULL DEFAULT '00:00:00',
  `hits` int(11) NOT NULL DEFAULT '0',
  `tt` enum('Y','N') NOT NULL DEFAULT 'N',
  `custom` enum('Y','N') NOT NULL DEFAULT 'N',
  `userid` bigint(24) NOT NULL,
  `private` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `short_url` (`short_url`,`url`),
  KEY `created` (`created`),
  KEY `time` (`time`),
  KEY `hits` (`hits`),
  KEY `tt` (`tt`),
  KEY `custom` (`custom`),
  KEY `url` (`url`),
  KEY `userid` (`userid`,`private`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1;

CREATE TABLE `users` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `username` varchar(255) NOT NULL,
  `password` varchar(32) NOT NULL,
  `first_name` varchar(255) NOT NULL,
  `last_name` varchar(255) NOT NULL,
  `email` varchar(255) NOT NULL,
  `public` tinyint(4) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `username` (`username`),
  UNIQUE KEY `email` (`email`),
  KEY `password` (`password`),
  KEY `public` (`public`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1;